package com.uca;

import com.uca.dao._Initializer;
import com.uca.gui.*;

import static spark.Spark.*;

public class StartServer {

    //.\gradlew run
    public static void main(String[] args) {

        int portNb = 8081;
        //Configure Spark
        staticFiles.location("/static/");
        port(portNb);

        System.out.println("http://localhost:"+portNb+"/users");

        _Initializer.Init();

        //Defining our routes
        get("/users", (req, res) -> {
            return UserGUI.getAllUsers();
        });
    }
}